I have a web application using Alfresco repository. the app access repository by CMIS API. What happens if I upgrade to rel.5 of Alfesco repository? It still work?

cancel
Showing results for 
Search instead for 
Did you mean: 
Member II

I have a web application using Alfresco repository. the app access repository by CMIS API. What happens if I upgrade to rel.5 of Alfesco repository? It still work?

I have a web application using Alfresco repository. the app access repository by CMIS API. What happens if I upgrade to rel.5 of Alfesco repository? It still work?

2 Replies
Alfresco Employee

Re: I have a web application using Alfresco repository. the app access repository by CMIS API. What happens if I upgrade to rel.5 of Alfesco repository? It still work?

Hi,

Alfresco Content Repository has previously upgraded support from CMIS 1.0 to CMIS 1.1. This also includes updates to internal libraries (such as OpenCMIS 1.0.0 for Alfresco Content Repository 5.2). Can you please be more specific - what exact versions are you upgrading from -> to ?

In the general case, it should work since you're using the open standard CMIS API. As with any upgrade, you should backup & fully test the upgraded functionality, before switching over in a live/production system. 

Regards,

Jan

Customer

Re: I have a web application using Alfresco repository. the app access repository by CMIS API. What happens if I upgrade to rel.5 of Alfesco repository? It still work?

If the repository version is <4.2, CMIS 1.0 binding endpoints must be changed.

Regards.

--C.